{ config, lib, pkgs, ... }:

let cfg = config.jade.desktop.syncthing;
in with lib; {
  options.jade.desktop.syncthing = {
    enable = mkEnableOption "Enable syncing via syncthing";
  };
  config = mkIf cfg.enable {
    services.syncthing = rec {
      enable = true;
      user = "jade";
      dataDir = "/home/${user}/Documents";
      configDir = "/home/${user}/Documents/.config/syncthing";
    };
  };
}
